%%%%%%%%%%%%%%%%%%%%%
% Mar 11, 2017
% Extract mean while excluding bad pixels
%%%%%%%%%%%%%%%%%%%%%
function result = extmean(Iin, lowth)

[x,y,z] = size(Iin);
result = zeros(x,y);

for i=1:x
    for j=1:y
        temp = 0;
        temps = 0;
        for k=1:z
            if Iin(i,j,k)>=lowth     % if the pixel is valid
                % record it
                temp = temp+1;      
                temps = temps+Iin(i,j,k);
            end
            if (temp==0)
                % all the results of this pixel is invalid
                result(i,j) = -3.4028e+38;
            else
                % output the mean of valid results
                result(i,j) = temps/temp;
            end
        end
    end
end

end